What you can do with the Wireless switch setting utility

The Wireless switch setting utility is provided for use on the VAIO computers with the Bluetooth(R) and wireless LAN functions.
With the Wireless switch setting utility, you can select the option of the wireless LAN function that is activated when you set the WIRELESS switch on your computer to ON.

What is the Bluetooth function?

The Bluetooth technology provides you with wireless communications over short distances without cabling.
If your computer is provided with the Bluetooth function, it offers a great convenience for wireless communications between your computer and a Bluetooth device, such as another computer, a cellular telephone, a modem, a PDA, and a digital still camera.

What is the Wireless LAN function?

The Wireless LAN technology provides you with a means to build a local area network (a computer network that covers an only limited area, for instance, your office or home) for wireless communications.
The 2.4 GHz wireless LAN, as the industrial standard of wireless LAN, is widely used in offices, homes, and places where public wireless LAN services are available. It is best suited for e-mail exchange and Internet access in a wireless environment.
The 5 GHz wireless LAN is capable of transmitting high-quality videos and music. It is best suited for exchanging high-quality MPEG videos in a wireless environment.


Precautions/Limitations

Please read the following thoroughly before using the Wireless switch setting utility.

  • You can select the wireless communication feature from three functions: Bluetooth, 2.4 GHz wireless LAN, and 5 GHz wireless LAN.
  • 5 GHz wireless LAN is available on certain models only. The 5 GHz option is not available if there is no 5 GHz option in the hardware.
  • Activating the Bluetooth and 2.4 GHz wireless LAN functions simultaneously may cause poor communication performance and a connection loss due to electromagnetic interference.
  • The Bluetooth function of your computer is under management of the Windows Bluetooth Devices function. For more information, see the Windows XP Help.
  • The wireless LAN function of your computer is under management of the Windows wireless network function. For more information on the wireless LAN settings, see the Windows XP Help.
  • Placing your computer on Standby automatically deactivate the Bluetooth and wireless LAN functions; but bringing your computer back into normal mode will not automatically activate the features. Activate the feature of your interest if necessary.
  • If you have logged onto your computer as a limited user, you can activate and deactivate the wireless communication feature with the WIRELESS switch but cannot select or change the function of the wireless communication feature. To select or change the wireless function, you must have a computer administrator account.


Selecting the wireless function

Follow the steps below to select the wireless function to be activated when you set the WIRELESS switch on your computer to on.
To select the wireless function, however, you must have a computer administrator account.
  1. Double-click [image] (wireless switch icon) on the Notification area at the bottom right of the desktop.
    The Wireless Device Switch dialog box appears.

    Hints

    • The appearance of the wireless switch icon depends on the selected wireless function and the state of the WIRELESS switch (ON/OFF).
    • Point to the wireless switch icon to display the selected wireless function and the state of the WIRELESS switch.
    • Alternatively, you can right-click the wireless switch icon and select "show Wireless Device Switch settings" to display the Wireless Device Switch dialog box.
  2. Select either Wireless LAN or Bluetooth Device, or both.

    Notes

    • 5 GHz Wireless LAN is available on certain models only.
    • You must select at least one wireless function to perform wireless communications.
    • The 2.4 GHz and 5 GHz Wireless LAN functions employ different frequency bandwidths, thus are not compatible with each other.
    • Checking the check box for both "Enable 2.4 GHz Wireless LAN" and "Enable Bluetooth Device" may cause poor communication performance or a connection loss due to electromagnetic interference.
  3. Check the "Show this dialog when the wireless devices are activated" check box, if necessary.
    If this check box is checked, the above dialog box automatically appears when you set the WIRELESS switch to ON for selection and change of the wireless function.
  4. Click OK.
    The message "Setting up the wireless devices. Process may take several minutes. Please wait." appears first, then the Wireless Device Switch dialog box is closed, and finally the dialog box that describes what to do with the icon on the Notification area appears.

    Note

    While the message "Setting up the Wireless Devices. Process may take several minutes. Please wait." is displayed, do not:
    • place your computer into power saving mode.
    • turn off Windows or log off from the current user.
    • turn on and off the WIRELESS switch.
  5. Confirm the settings and click OK.
    The dialog box about the icon on the Notification area closes.

    Hint

    If you check the "Don't show this dialog in the future" check box, the dialog box will not appear next time you close the Wireless Device Switch dialog.

To connect directly between computers

Selecting both "Enable 2.4 GHz Wireless LAN" and "Enable 5 GHz Wireless LAN" in step 2 above enables the Advanced button.
Click the Advanced button to display the dialog box where you can select your preference of the wireless LAN function for direct connection between computers (IBSS Ad hoc mode).

Change the setting and click OK. The message "Setting up the wireless devices. Process may take several minutes. Please wait." appears first, then the Advanced Settings dialog box closes, and finally the Wireless Device Switch dialog box becomes active.

Note

While the message "Setting up the Wireless Devices. Process may take several minutes. Please wait." is displayed, do not:
  • place your computer into power saving mode.
  • turn off Windows or log off from the current user.
  • turn on and off the WIRELESS switch.
.


About the wireless switch icons

The appearance of the wireless switch icon on the Notification area changes, depending to the selected wireless function and the state of WIRELESS switch.
Point to the icon to display the selected wireless function and the state of WIRELESS switch.
icon | the selected wireless function | the state of WIRELESS switch
 | Wireless LAN function | ON
 | Bluetooth function | ON
 | Wireless LAN & Bluetooth functions | ON
 | Wireless LAN function | OFF
 | Bluetooth function | OFF
 | Wireless LAN & Bluetooth functions | OFF


Trademarks

Copyright 2003, 2004 Sony Corporation

  • is a trademark of Sony Corporation.
  • The Bluetooth word mark and logos are owned by the Bluetooth SIG, Inc. and any use of such marks by Sony Corporation is under license. Other trademarks and trade names are those of their respective owners.
  • Microsoft and Windows are registered trademarks of Microsoft Corporation in the United States and/or other countries.
  • All other system names and product names appearing in this document are generally the registered trademarks or trademarks of their respective manufacturers. Further, the trademark (TM) and registered trademark (R) symbols are not indicated throughout this document.

Please read the license agreement provided with your computer before using this software.

  • Copying all or part of the contents of this software and Help, or renting the software without authorization are prohibited by copyright laws.
  • Sony Corporation cannot accept liability for damage or loss resulting from the use of this software, or for any claims from a third party.
  • This software must not be used on a system other than that specified.
  • The software specifications may be subject to change without notice.